#!/scratchbox/tools/bin/python-host
#
# Copyright (c) 2004 Nokia
# Author: Timo Savola <tsavola@movial.fi>
#
# Licensed under GPL, see COPYING for details.
#

import os, sys, optparse

sys.path += [os.path.dirname(os.path.realpath(sys.argv[0])) + "/../lib/python2.3"]

from sb import config, sbrsh

def usage():
	print "Usage:  sbrsh-conf configure [<TARGET-NAME>]"
	print "                             <TARGET-HOSTNAME>[:<TARGET-PORT>]"
	print "                             [-n|--nfs-host=<NFS-SERVER-HOSTNAME>]"
	print
	print "        sbrsh-conf add <TARGET-HOSTNAME>"
	print "                       [[<USERNAME>@]<IP-ADDRESS>]"
	print
	print "        sbrsh-conf mount [<TARGET-NAME>]"
	print
	print "        sbrsh-conf umount [<TARGET-NAME>]"
	print
	sys.exit(1)

class OptionParser (optparse.OptionParser):
	def print_usage(self, file = None):
		usage()

	def print_help(self, file = None):
		usage()

if len(sys.argv) < 2:
	usage()

action = sys.argv[1]
params = sys.argv[2:]

def parse_target():
	if len(params) > 1:
		usage()
	elif len(params) == 1:
		return params[0]
	return None

try:
	if action == "configure":
		parser = OptionParser()
		parser.add_option("-n", "--nfs-host")

		opts, args = parser.parse_args(params)

		if len(args) == 2:
			target = args[0]
			host = args[1]
		elif len(args) == 1:
			target = None
			host = args[0]
		else:
			usage()

		sbrsh.configure(target, host, opts.nfs_host)

	elif action == "add":
		if len(params) < 1 or len(params) > 2:
			usage()

		host = params[0]
		account = None
		if len(params) == 2:
			account = params[1]

		sbrsh.add(host, account)

	elif action == "mount":
		sbrsh.mount(parse_target())

	elif action == "umount":
		sbrsh.umount(parse_target())

	else:
		usage()

except config.Error, e:
	sys.stderr.write("sbrsh-conf: %s\n" % str(e))
	sys.exit(1)

